# Uses of Class
com.ngrok.definitions.SshCertificateAuthority

Packages that use SshCertificateAuthority
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of SshCertificateAuthority in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type SshCertificateAuthority
  Modifier and Type
  Method
  Description
  `List<SshCertificateAuthority>`
  SshCertificateAuthorityList.`getSshCertificateAuthorities()`
  the list of all certificate authorities on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type SshCertificateAuthority
  Modifier
  Constructor
  Description
  ``
  `SshCertificateAuthorityList(List<SshCertificateAuthority> sshCertificateAuthorities, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `SshCertificateAuthorityList`.

- ## Uses of SshCertificateAuthority in com.ngrok.services

  Methods in com.ngrok.services that return SshCertificateAuthority
  Modifier and Type
  Method
  Description
  `SshCertificateAuthority`
  SshCertificateAuthorities.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `SshCertificateAuthority`
  SshCertificateAuthorities.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `SshCertificateAuthority`
  SshCertificateAuthorities.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type SshCertificateAuthority
  Modifier and Type
  Method
  Description
  `CompletionStage<SshCertificateAuthority>`
  SshCertificateAuthorities.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<SshCertificateAuthority>`
  SshCertificateAuthorities.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<SshCertificateAuthority>`
  SshCertificateAuthorities.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.